summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorsonja.mirtitsch%sun.com <devnull@localhost>2003-02-20 00:52:40 +0000
committersonja.mirtitsch%sun.com <devnull@localhost>2003-02-20 00:52:40 +0000
commit901fa18081ec6968e4283ebae17fb6322ee41303 (patch)
treefde6e2ba588462bc69929ad0e5c415ccd6432bcc
parenteeaf88eecf8a8b1613122961c72f4d7267034a29 (diff)
downloadnss-hg-901fa18081ec6968e4283ebae17fb6322ee41303.tar.gz
writing actual return of modutil to output.log, bug 193394 r=wtc
-rwxr-xr-xsecurity/nss/tests/cert/cert.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/security/nss/tests/cert/cert.sh b/security/nss/tests/cert/cert.sh
index 103f21ba0..11d59456a 100755
--- a/security/nss/tests/cert/cert.sh
+++ b/security/nss/tests/cert/cert.sh
@@ -608,9 +608,10 @@ cert_fips()
modutil -dbdir ${PROFILEDIR} -fips true 2>&1 <<MODSCRIPT
y
MODSCRIPT
- if [ "$?" -ne 0 ]; then
- html_failed "<TR><TD>${CU_ACTION} ($?) "
- cert_log "ERROR: ${CU_ACTION} failed $?"
+ RET=$?
+ if [ "$RET" -ne 0 ]; then
+ html_failed "<TR><TD>${CU_ACTION} ($RET) "
+ cert_log "ERROR: ${CU_ACTION} failed $RET"
else
html_passed "<TR><TD>${CU_ACTION}"
fi